package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 使用优惠券记录实体
 * 表名 tb_cf_coupon_use
 *
 * @author G
 * @date 2019-08-14 09:11:47
 */
public class TbCfCouponUseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 使用id
     */
    private String useId;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 优惠券id
     */
    private String couponId;
    /**
     * 使用时间
     */
    private Date useTime;

    /**
     * 设置：使用id
     */
    public void setUseId(String useId) {
        this.useId = useId;
    }

    /**
     * 获取：使用id
     */
    public String getUseId() {
        return useId;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：优惠券id
     */
    public void setCouponId(String couponId) {
        this.couponId = couponId;
    }

    /**
     * 获取：优惠券id
     */
    public String getCouponId() {
        return couponId;
    }
    /**
     * 设置：使用时间
     */
    public void setUseTime(Date useTime) {
        this.useTime = useTime;
    }

    /**
     * 获取：使用时间
     */
    public Date getUseTime() {
        return useTime;
    }
}
